Skip to main content
GET
Get Component Instances

Authorizations

Authorization
string
header
required

API Key or Token formatted as Bearer <YOUR_KEY_OR_TOKEN>

Query Parameters

id
string

Component's Serial backend id

identifier
string

User facing name of the component (must match exactly, is case senstitive)

component_type
string

Component's Type (either SN or LOT)

status
string

Component's Status (WIP, PLANNED, DEFECTIVE, COMPLETE)

work_order_id
string

Components associated to particular work order

part_number_id
string

Components associated with a specific part number

show_children
boolean

Show children for returned component instances

show_parents
boolean

Show parents for returned component instances

Response

200 - application/json

OK

identifier
string
required
id
string<uuid>
component_id
string<uuid>
created_at
string<date-time>
status
enum<string>
Available options:
WIP,
PLANNED,
DEFECTIVE,
COMPLETE
last_updated_at
string<date-time>
completed_at
string<date-time>
part_number_id
string<uuid>
is_archived
boolean
work_order_id
string<uuid>
latitude
number<float>
longitude
number<float>